---
title: HTMLVideoElement.msInsertVideoEffect()
slug: Web/API/HTMLVideoElement/msInsertVideoEffect
tags:
  - API
  - 'API:Microsoft Extensions'
  - Method
  - Non-standard
  - Reference
  - msInsertVideoEffect
---
<div>{{APIRef("HTML DOM")}}{{Non-standard_Header}}</div>

<p>The <strong><code>HTMLMediaElement.msInsertVideoEffect()</code></strong> method inserts the specified video effect into the media pipeline.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>str</em> = <em>HTMLMediaElement</em>.msInsertVideoEffect(<em>activatableClassId</em>: {{DOMxRef("DOMString")}}, <em>effectRequired</em>: {{JSxRef("Boolean", "boolean")}}<em>, config</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>activatableClassId</dt>
 <dd>A {{DOMxRef("DOMString")}} defining the video effects class.</dd>
 <dt>effectRequired</dt>
 <dd>A {{JSxRef("Boolean")}}<a href="/en-US/docs/Glossary/Boolean"> </a>which if set to <em>true</em> requires a video effect to be defined.</dd>
 <dt>config{{Optional_Inline}}</dt>
 <dd>An optional {{JSxRef("Object")}} to help with defining any additional configuration needed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var oVideo1 = document.getElementById("video1");
oVideo1.msInsertVideoEffect("Windows.Media.VideoEffects.VideoStabilization", true, null);
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLVideoElement")}}</li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
